body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #191d2b;
    color: #ffffff;
}

.container {
    text-align: center;
    padding: 20px;
    border: 1px solid #3c4a61;
    border-radius: 8px;
    background-color: #282c36;
    max-width: 800px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    margin: 20px;
    box-sizing: border-box;
}

.project-title {
    font-size: 2.5em;
    margin-bottom: 15px;
}

.project-description {
    font-size: 1.2em;
    margin-bottom: 20px;
}

.project-details {
    text-align: left;
    margin: 0 auto;
    max-width: 100%;
}

.project-details p {
    font-size: 1.2em;
    margin-bottom: 15px;
}

.project-details ul {
    list-style-type: disc;
    margin-left: 20px;
    padding-left: 20px;
    font-size: 1.1em;
    line-height: 1.6;
}

.project-details ul ul {
    list-style-type: circle;
    margin-left: 40px;
}

.btn {
    display: inline-block;
    padding: 12px 24px;
    border-radius: 5px;
    font-size: 1.1em;
    text-decoration: none;
    background-color: #ffd700;
    color: #191d2b;
    border: 1px solid #ffd700;
    transition: background-color 0.3s, color 0.3s;
    margin-top: 20px;
}

.btn:hover {
    background-color: #ffcc00;
}

/* Ensure responsiveness */
@media (max-width: 768px) {
    .container {
        padding: 15px;
        max-width: 90%;
    }
    .project-title {
        font-size: 2em;
    }
    .project-description, .project-details {
        font-size: 1em;
    }
    .btn {
        padding: 10px 20px;
        font-size: 1em;
    }
}
